Bug 752127 - RHQ-mib.txt does not define TRAP-TYPE or NOTIFICATION TYPE
RHQ-mib.txt does not define TRAP-TYPE or NOTIFICATION TYPE
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Alerts (Show other bugs)
unspecified
x86_64 Linux
medium Severity low (vote)
: ---
: RHQ 4.9
Assigned To: Heiko W. Rupp
Mike Foley
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-08 11:03 EST by Rafael Chies
Modified: 2014-03-26 04:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-26 04:31:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rafael Chies 2011-11-08 11:03:33 EST
I've reached this scene when trying the integration between RHQ and Nagios, using the RHQ MIB, snmptrapd and snmptt. All the steps i've done is on my blog http://blogdorafaelchies.wordpress.com/2011/11/08/rhq-enviando-notificacoes-para-o-nagios/.

The problem is that RHQ-mib.txt does not define a TRAP-TYPE, neither a NOTIFICATION-TYPE. Thus, when using the tool snmpttconvertmib to convert MIB to  SNMPTT format, the tool shows an error message like this:


"The MIB file did not contain any TRAP-TYPE or NOTIFICATION-TYPE definitions,
so no translations occured. Try another MIB file."


I've tested the MIB on JON 2.4.1.



Steps to Reproduce:


Install the SNMPTT tool and run the follow command:

snmpttconvertmib --in=$RHQ_HOME/etc/RHQ-mib.txt --out=/etc/snmp/snmptt.conf.rhq --exec='/usr/local/nagios/libexec/eventhandlers/submit_check_result $r RHQ 2'


  
Actual results:

"The MIB file did not contain any TRAP-TYPE or NOTIFICATION-TYPE definitions,
so no translations occured. Try another MIB file."


Expected results:

OID: .1.3.6.1.4.1.18016.0.1
Done
Total translations: 1
Successful translations: 1
Failed translations: 0


Additional info:

I've used a workaround, editing the RHQ-mib.txt and defining the TRAP-TYPE:

rhqTrapAlert TRAP-TYPE
STATUS current
ENTERPRISE jboss
DESCRIPTION "RHQ Notification: "
::= 1

However, I am not a expert in MIB and SNMP. So, I an not sure if that is other way to do this better.
Comment 1 Heiko W. Rupp 2014-02-23 09:14:23 EST
Current mib contains a NOTIFICATION-TYPE
Comment 2 Larry O'Leary 2014-02-24 10:12:22 EST
This was done from downstream bug 966294
Comment 3 Heiko W. Rupp 2014-03-26 04:31:58 EDT
Bulk closing now that 4.10 is out.

If you think an issue is not resolved, please open a new BZ and link to the existing one.

Note You need to log in before you can comment on or make changes to this bug.